Messages

View as Markdown

Get Message Attachment

GET
/human/v0/messages/{message_id}/attachments/{attachment_id}

Path Parameters

message_id*string
attachment_id*string

ID of attachment.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X GET "https://api.agentry.to/human/v0/messages/string/attachments/string" \  -H "Authorization: string"
{
  "attachment_id": "string",
  "filename": "string",
  "size": 0,
  "content_type": "string",
  "content_disposition": "inline",
  "content_id": "string",
  "download_url": "string",
  "expires_at": "2019-08-24T14:15:22Z"
}

Get Message Context

GET
/human/v0/messages/{message_id}/context

Path Parameters

message_id*string

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X GET "https://api.agentry.to/human/v0/messages/string/context" \  -H "Authorization: string"
{
  "message_id": "string",
  "inbox_id": "string",
  "context": {},
  "deep_context_credits_consumed": 0
}

Get Message Raw

GET
/human/v0/messages/{message_id}/raw

Path Parameters

message_id*string

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X GET "https://api.agentry.to/human/v0/messages/string/raw" \  -H "Authorization: string"
{
  "message_id": "string",
  "size": 0,
  "download_url": "string",
  "expires_at": "2019-08-24T14:15:22Z"
}